Bug 506080 - typo in uuidd initscript
typo in uuidd initscript
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Eric Sandeen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 09:57 EDT by Adam Stokes
Modified: 2010-10-23 06:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2009-06-15 09:57:28 EDT
Description of problem:
small typo in uuidd initscript, status sets REVAL instead of RETVAL

Version-Release number of selected component (if applicable):
uuidd-1.39-20.el5

How reproducible:
100%

Steps to Reproduce:
1. install uuidd
2. check initscript /etc/init.d/uuidd
3. look under status
  
Actual results:
REVAL=$?

Expected results:
RETVAL=$?

Additional info:
Comment 1 Eric Sandeen 2009-06-15 10:58:10 EDT
Thanks, sure, we can certainly target this for 5.5.
Comment 2 Eric Sandeen 2009-06-18 10:18:08 EDT
FWIW, I've updated this in rawhide and F11.

(this is our own initscript, so nothing to push upstream).
Comment 3 Eric Sandeen 2009-06-26 15:13:52 EDT
May need to respin e2fsprogs in 5.4 for bug 505110 anyway; hope it's ok to ask that this trivial typo fix get pulled in too in that case; so asking for an exception here only if bug 505110 makes it as an exception and this can piggy-back on it.

Thanks,
-Eric
Comment 6 Eric Sandeen 2009-06-30 16:49:12 EDT
committed & built in e2fsprogs-1.39-23
Comment 11 Chris Ward 2009-07-03 14:45:55 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 14 errata-xmlrpc 2009-09-02 05:47:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1291.html

Note You need to log in before you can comment on or make changes to this bug.